# asio only publishes headers, so doesn't need debuginfo package
%global debug_package %{nil}

Summary:        A cross-platform C++ library for network programming
Name:           asio
Version:        1.24.0
Release:        8%{?dist}
License:        Boost
URL:            https://think-async.com
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  make gcc gcc-c++ autoconf automake
BuildRequires:  openssl-devel boost-devel perl-generators

%description
This package contains a cross-platform C++ library for network programming that provides 
developers with a consistent asynchronous I/O model using a modern C++ approach.

%package devel
Summary:        Header files for asio
Recommends:     openssl-devel
Recommends:     boost-devel

%description devel
This package contains header files you can use to develop applications with asio.

%prep
%autosetup

%build
autoreconf -i
%configure
%make_build

%install
%make_install

%files devel
%license LICENSE_1_0.txt
%doc doc/*
%{_includedir}/asio/
%{_includedir}/asio.hpp
%{_libdir}/pkgconfig/asio.pc

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.24.0-8
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.24.0-7
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 31 2023 rockerzhu rockerzhu@tencent.com - 1.24.0-6
- Rebuilt for boost 1.82.0

* Mon Jul 31 2023 rockerzhu rockerzhu@tencent.com - 1.24.0-5
- Rebuilt for boost 1.82.0

* Mon Jul 31 2023 rockerzhu rockerzhu@tencent.com - 1.24.0-4
- Rebuilt for boost 1.82.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.24.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.24.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 14 2022 Wang Guodong <gordonwwang@tencent.com> - 1.24.0-1
- package init.
